"""News app urlpatterns for backoffice"""
from django.urls import path

from news import views

app_name = 'news'

urlpatterns = [
    path('', views.NewsBackOfficeLCView.as_view(), name='list-create'),
    path('<int:pk>/', views.NewsBackOfficeRUDView.as_view(),
         name='retrieve-update-destroy'),
    path('<int:pk>/gallery/', views.NewsBackOfficeGalleryListView.as_view(),
         name='gallery-list'),
    path('<int:pk>/gallery/<int:image_id>/', views.NewsBackOfficeGalleryCreateDestroyView.as_view(),
         name='gallery-create-destroy'),
    path('<int:pk>/carousels/', views.NewsCarouselCreateDestroyView.as_view(), name='create-destroy-carousels'),
    path('<int:pk>/clone/<str:country_code>', views.NewsCloneView.as_view(), name='clone-news-item'),
]
